micro_utils.dokka
0.15.1

# Package-level declarations

## Types

Matrix
Link copied to clipboard
typealias Matrix<T> = List<Row<T>>
MatrixBuilder
Link copied to clipboard
class MatrixBuilder<T>
Row
Link copied to clipboard
typealias Row<T> = List<T>
RowBuilder
Link copied to clipboard
class RowBuilder<T>

## Functions

columns
Link copied to clipboard
fun <T> RowBuilder<T>.columns(vararg elements: T)
fun <T> RowBuilder<T>.columns(elements: List<T>)
flatMatrix
Link copied to clipboard
fun <T> flatMatrix(vararg elements: T): Matrix<T>
fun <T> flatMatrix(block: RowBuilder<T>.() -> Unit): Matrix<T>
matrix
Link copied to clipboard
fun <T> matrix(block: MatrixBuilder<T>.() -> Unit): Matrix<T>
row
Link copied to clipboard
fun <T> row(block: RowBuilder<T>.() -> Unit): List<T>
fun <T> MatrixBuilder<T>.row(vararg elements: T): Boolean
fun <T> MatrixBuilder<T>.row(block: RowBuilder<T>.() -> Unit): Boolean